### A free/open-source library for quantitative finance

Public Member Functions
CubicBSplinesFitting Class Reference

CubicSpline B-splines fitting method. More...

`#include <ql/termstructures/yield/nonlinearfittingmethods.hpp>`

Inheritance diagram for CubicBSplinesFitting:
[legend]

List of all members.

## Public Member Functions

| CubicBSplinesFitting (const std::vector< Time > &knotVector, bool constrainAtZero=true)
Real | basisFunction (Integer i, Time t) const
| cubic B-spline basis functions
std::auto_ptr < FittedBondDiscountCurve::FittingMethod > | clone () const
| clone of the current object

## Detailed Description

CubicSpline B-splines fitting method.

Fits a discount function to a set of cubic B-splines , i.e.,

See: McCulloch, J. 1971, "Measuring the Term Structure of Interest Rates." Journal of Business, 44: 19-31

McCulloch, J. 1975, "The tax adjusted yield curve." Journal of Finance, XXX811-30

Warning:
  "The results are extremely sensitive to the number and location of the knot points, and there is no optimal way of selecting them." James, J. and N. Webber, "Interest Rate Modelling" John Wiley, 2000, pp. 440.

Examples:
  FittedBondCurve.cpp.